﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.ViewManagement;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace WhereIsMyApp
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            Window.Current.SizeChanged += Current_SizeChanged;
        }

        void Current_SizeChanged(object sender, Windows.UI.Core.WindowSizeChangedEventArgs e)
        {
            CheckPosition(e.Size.Width);
        }

        private void Page_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            CheckPosition(e.NewSize.Width);
        }
        private void CheckPosition(double width)
        {
            ApplicationView appView = ApplicationView.GetForCurrentView();

            if (appView.IsFullScreen)
            {
                positionTB.Text = "Full Screen";
                VisualStateManager.GoToState(this, "FullScreen", true);
            }
            else
            {
                if (!appView.AdjacentToLeftDisplayEdge && !appView.AdjacentToRightDisplayEdge)
                {
                    if (width < 500)
                    {
                        positionTB.Text = "Not on the Edge (Snapped)";
                        VisualStateManager.GoToState(this, "Snapped", true);
                    }
                    else
                    {
                        positionTB.Text = "Not on the Edge";
                        VisualStateManager.GoToState(this, "CenterPosition", true);
                    }
                }
                else if (appView.AdjacentToLeftDisplayEdge)
                {
                    if (width < 500)
                    {
                        positionTB.Text = "Adjacent to Left Edge (Snapped)";
                        VisualStateManager.GoToState(this, "Snapped", true);
                    }
                    else
                    {
                        positionTB.Text = "Adjacent to Left Edge";
                        VisualStateManager.GoToState(this, "Left", true);
                    }
                }
                else if (appView.AdjacentToRightDisplayEdge)
                {
                    if (width < 500)
                    {
                        positionTB.Text = "Adjacent to Right Edge (Snapped)";
                        VisualStateManager.GoToState(this, "Snapped", true);
                    }
                    else
                    {
                        positionTB.Text = "Adjacent to Right Edge";
                        VisualStateManager.GoToState(this, "Right", true);
                    }
                }
            }
        }
    }
}
